Upstream information

CVE-2011-0905 at MITRE

Description

The rfbSendFramebufferUpdate function in server/libvncserver/rfbserver.c in vino-server in Vino 2.x before 2.28.3, 2.32.x before 2.32.2, 3.0.x before 3.0.2, and 3.1.x before 3.1.1, when tight encoding is used, allows remote authenticated users to cause a denial of service (daemon crash) via crafted dimensions in a framebuffer update request that triggers an out-of-bounds read operation.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 690238 [RESOLVED / INVALID], 691207 [RESOLVED / FIXED], 691356 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • vino >= 3.10.1-1.86
  • vino-lang >= 3.10.1-1.86
Patchnames:
SUSE Linux Enterprise Desktop 12 GA vino
SUSE Linux Enterprise Desktop 12 SP1
  • vino >= 3.10.1-1.86
  • vino-lang >= 3.10.1-1.86
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA vino
SUSE Linux Enterprise Desktop 12 SP2
  • vino >= 3.20.2-5.8
  • vino-lang >= 3.20.2-5.8
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA vino
SUSE Linux Enterprise Desktop 12 SP3
  • vino >= 3.20.2-5.8
  • vino-lang >= 3.20.2-5.8
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA vino
SUSE Linux Enterprise Server 11 SP1
  • vino >= 2.28.1-2.3.1
  • vino-lang >= 2.28.1-2.3.1
Patchnames:
slessp1-vino
SUSE Linux Enterprise Server 12
  • vino >= 3.10.1-1.86
  • vino-lang >= 3.10.1-1.86
Patchnames:
SUSE Linux Enterprise Server 12 GA vino
SUSE Linux Enterprise Server 12 SP1
  • vino >= 3.10.1-1.86
  • vino-lang >= 3.10.1-1.86
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA vino
SUSE Linux Enterprise Server 12 SP2
  • vino >= 3.20.2-5.8
  • vino-lang >= 3.20.2-5.8
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA vino
SUSE Linux Enterprise Server 12 SP3
  • vino >= 3.20.2-5.8
  • vino-lang >= 3.20.2-5.8
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA vino
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • vino >= 3.20.2-5.8
  • vino-lang >= 3.20.2-5.8
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA vino
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • vino >= 2.12.0-25.25.1
sles10-sp3.x86-64
sles10-sp3-debuginfo.s390x
sles10-sp3.x86
sles10-sp3.ia64
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.x86-64
sles10-sp3-debuginfo.ia64
sles10-sp3.s390x
sles10-sp3.ppc
sles10-sp3-debuginfo.x86
ZYPP Patch Nr: 7532
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • vino >= 2.28.1-2.3.1
sles11-sp1.ppc
sles11-sp1.x86
sled11-sp1.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sles11-sp1-vmware.x86
sled11-sp1.x86
sles11-sp1.ia64
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4575
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • vino >= 2.12.0-25.25.1
sled10-sp4.x86-64
sled10-sp4.x86
sles10-sp4.s390x
sles10-sp4-debuginfo.ppc
sles10-sp4.x86
sles10-sp4-debuginfo.s390x
sles10-sp4-debuginfo.x86
sles10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7531
openSUSE 11.2
  • vino-debuginfo >= 2.28.1-2.3.1
  • vino-debugsource >= 2.28.1-2.3.1
openSUSE 11.2
  • vino >= 2.28.1-2.3.1
  • vino-lang >= 2.28.1-2.3.1
openSUSE 11.3
  • vino-debuginfo >= 2.28.2-2.3.1
  • vino-debugsource >= 2.28.2-2.3.1
openSUSE 11.3
  • vino >= 2.28.2-2.3.1
  • vino-lang >= 2.28.2-2.3.1
openSUSE 11.4
  • vino >= 2.32.1-6.7.1
  • vino-lang >= 2.32.1-6.7.1
openSUSE 11.4
  • vino >= 2.32.1-6.7.1
  • vino-debuginfo >= 2.32.1-6.7.1
  • vino-debugsource >= 2.32.1-6.7.1
  • vino-lang >= 2.32.1-6.7.1
Patchnames:
vino
openSUSE Leap 42.1
  • vino >= 3.16.0-2.3
  • vino-lang >= 3.16.0-2.3
Patchnames:
openSUSE Leap 42.1 GA vino
openSUSE Leap 42.2
  • vino >= 3.20.2-1.3
  • vino-lang >= 3.20.2-1.3
Patchnames:
openSUSE Leap 42.2 GA vino
openSUSE Leap 42.3
  • vino >= 3.20.2-3.3
  • vino-lang >= 3.20.2-3.3
Patchnames:
openSUSE Leap 42.3 GA vino
openSUSE Tumbleweed
  • vino >= 3.22.0-1.1
  • vino-lang >= 3.22.0-1.1
Patchnames:
openSUSE Tumbleweed GA vino


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 vino Released
SUSE Linux Enterprise Desktop 10 SP4 vino Released
SUSE Linux Enterprise Desktop 11 SP1 vino Released
SUSE Linux Enterprise Server 10 SP3 vino Released
SUSE Linux Enterprise Server 10 SP4 vino Released
SUSE Linux Enterprise Server 10 SP4 LTSS vino Released
SUSE Linux Enterprise Server 11 SP1 vino Released
SUSE Linux Enterprise Server 11 SP1 LTSS vino Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 vino Released